package com.icomsys.main_vm.biz.rcp.statistics.dashboard.service;

import com.icomsys.main_vm.db.mybatis.alias.StatisticsDashboardVO;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;

@Service
public interface StatisticsDashboardService {
    List<HashMap> selectStatCallInfo(StatisticsDashboardVO vo);
    List<HashMap> selectStatIntent(StatisticsDashboardVO vo);
    List<HashMap> selectStatScenario(StatisticsDashboardVO vo);
    List<HashMap> selectCallCntByToday(StatisticsDashboardVO vo);
    int selectCurCallCnt(StatisticsDashboardVO vo);
}
